# Interface methods for submodule: DemonsImageToImageMetricv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricv4Proxy as _ImageToImageMetricv4Proxy


# Interface methods for class: DemonsImageToImageMetricv4
class DemonsImageToImageMetricv4Proxy(_ImageToImageMetricv4Proxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def GetIntensityDifferenceThreshold(self) -> float:
		""""""
		...

	def SetIntensityDifferenceThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetDenominatorThreshold(self) -> float:
		""""""
		...

